## org.eclipse.amp.agf.tree
Class TreeViewPart

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.amp.axf.view.ModelViewPart
                      org.eclipse.amp.agf.gef.AGFViewPart
                          org.eclipse.amp.agf.gef.EditPartViewPart
                              org.eclipse.amp.agf.tree.TreeViewPart

All Implemented Interfaces:
  java.util.EventListener, IModelPart, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.jface.util.IPropertyChangeListener, org.eclipse.ui.IPersistable, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class TreeViewPart

extends EditPartViewPart

The Class TreeViewPart.

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`viewer, ZOOM_LEVELS`

Fields inherited from class org.eclipse.amp.axf.view.ModelViewPart
`propertySheetPage`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`TreeViewPart()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.gef.RootEditPart` `createRoot()`
`protected org.eclipse.gef.EditPartViewer` `createViewer()`
`protected void` `modelChanged(IModel activeModel)`

Methods inherited from class org.eclipse.amp.agf.gef.EditPartViewPart
`createFactory, createModelListeners, createZoomer, getAdapter, getEditDomain, getEditPart, getRootEditPart, getRootListener, getSelectionProvider, getViewer, getZoomer, setEditDomain, setInput`

Methods inherited from class org.eclipse.amp.agf.gef.AGFViewPart
`createSelectionListener, createSelectionSynchronizer, dispose`

Methods inherited from class org.eclipse.amp.axf.view.ModelViewPart
`addModelListener, getModel, getModelListeners, getName, getPropertySheetPage, isSingle, propertyChange, removeModelListener, removeSelectionListener, setFocus, setModel, setPartName`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Constructor Detail

### TreeViewPart

    public TreeViewPart()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `EditPartViewPart`
  Parameters:
    `parent` -
  See Also:
    `EditPartViewPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### createViewer

    protected org.eclipse.gef.EditPartViewer createViewer()

  Overrides:
    `createViewer` in class `EditPartViewPart`
  Returns:
  See Also:
    `EditPartViewPart.createViewer()`

### modelChanged

    protected void modelChanged(IModel activeModel)

  Parameters:
    `activeModel` -
  See Also:
    `ActiveModelViewPart.modelChanged(org.eclipse.amp.axf.core.IModel)`

### createRoot

    public org.eclipse.gef.RootEditPart createRoot()

  Specified by:
    `createRoot` in class `EditPartViewPart`
  Returns:
  See Also:
    `EditPartViewPart.createRoot()`